Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Images

Create an image variation

POST /openai/v1/images/variations Déprécié

Creates an image variation from the supplied request.

Corps de la demande

The multipart request body.

Content-Type: multipart/form-data
image OpenAI.CreateImageVariationRequest obligatoire Déprécié

The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.

model string | enum | null Déprécié

The legacy model used by the retired image variations endpoint. This endpoint no longer accepts requests.

Un des éléments suivants :
string Déprécié
enum Déprécié
dall-e-2
n integer | null Déprécié

The number of images to generate. Must be between 1 and 10.

response_format enum Déprécié

The format in which the generated images are returned. Must be one of url or b64_json. URLs are only valid for 60 minutes after the image has been generated.

urlb64_json
size enum Déprécié

The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.

256x256512x5121024x1024
user string Déprécié

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

Réponses

The request has succeeded.

Corps

Content-Type: application/json
safety_identifier string | null Déprécié

The effective safety identifier used for safety monitoring and abuse detection. This is the non-empty safety_identifier from the request, or the deprecated user value when safety_identifier is omitted, null, or empty.

created integer obligatoire Déprécié

The Unix timestamp (in seconds) of when the image was created.

data OpenAI.Image[] Déprécié

The list of generated images.

background enum Déprécié

The background parameter used for the image generation. Either transparent or opaque.

transparentopaque
output_format enum Déprécié

The output format of the image generation. Either png, webp, or jpeg.

pngwebpjpeg
size string | enum Déprécié

The image dimensions as a WIDTHxHEIGHT string, for example 1536x864.

Un des éléments suivants :
string Déprécié
enum Déprécié
1024x10241024x15361536x1024
quality enum Déprécié

The quality of the image generated. One of low, medium, high, xhigh, or max.

lowmediumhighxhighmax
usage OpenAI.ImageGenUsage Déprécié

For gpt-image-1 only, the token usage information for the image generation.

input_tokens integer obligatoire Déprécié
total_tokens integer obligatoire Déprécié
output_tokens integer obligatoire Déprécié
output_tokens_details OpenAI.ImageGenOutputTokensDetails Déprécié

The output token details for the image generation.

image_tokens integer obligatoire Déprécié
text_tokens integer obligatoire Déprécié
input_tokens_details OpenAI.ImageGenInputUsageDetails obligatoire Déprécié

The input tokens detailed information for the image generation.

text_tokens integer obligatoire Déprécié
image_tokens integer obligatoire Déprécié

Client error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire Déprécié
code string | null obligatoire Déprécié
message string obligatoire Déprécié
param string | null Déprécié
type string Déprécié
misalignment OpenAI.MisalignmentErrorDetailsResource Déprécié
review_target string | null Déprécié
error_type string | enum Déprécié
Un des éléments suivants :
string Déprécié
enum Déprécié
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Déprécié

The public explanation for this block.

steer OpenAI._MisalignmentSteer Déprécié
message string obligatoire Déprécié

The public continuation instruction.

details OpenAI.Error[] Déprécié
additionalInfo object Déprécié
debugInfo object Déprécié

Server error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire Déprécié
code string | null obligatoire Déprécié
message string obligatoire Déprécié
param string | null Déprécié
type string Déprécié
misalignment OpenAI.MisalignmentErrorDetailsResource Déprécié
review_target string | null Déprécié
error_type string | enum Déprécié
Un des éléments suivants :
string Déprécié
enum Déprécié
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Déprécié

The public explanation for this block.

steer OpenAI._MisalignmentSteer Déprécié
message string obligatoire Déprécié

The public continuation instruction.

details OpenAI.Error[] Déprécié
additionalInfo object Déprécié
debugInfo object Déprécié

Requête

curl https://api.openai.com/v1/images/variations \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -F image="@otter.png" \
  -F n=2 \
  -F size="1024x1024"
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
images_response = client.images.create_variation(
    image=b"Example data",
)
print(images_response.created)
import fs from "fs";
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const image = await openai.images.createVariation({
    image: fs.createReadStream("otter.png"),
  });

  console.log(image.data);
}
main();
using System;

using OpenAI.Images;

ImageClient client = new(
    model: "dall-e-2",
    apiKey: Environment.GetEnvironmentVariable("OPENAI_API_KEY")
);

GeneratedImage image = client.GenerateImageVariation(imageFilePath: "otter.png");

Console.WriteLine(image.ImageUri);
import fs from 'fs';
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const imagesResponse = await client.images.createVariation({
  image: fs.createReadStream('otter.png'),
});

console.log(imagesResponse.created);
package main

import (
    "bytes"
    "context"
    "fmt"
    "io"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    imagesResponse, err := client.Images.NewVariation(context.TODO(), openai.ImageNewVariationParams{
        Image: io.Reader(bytes.NewBuffer([]byte("Example data"))),
    })
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", imagesResponse.Created)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.images.ImageCreateVariationParams;
import com.openai.models.images.ImagesResponse;
import java.io.ByteArrayInputStream;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        ImageCreateVariationParams params = ImageCreateVariationParams.builder()
            .image(new ByteArrayInputStream("Example data".getBytes()))
            .build();
        ImagesResponse imagesResponse = client.images().createVariation(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

images_response = openai.images.create_variation(image: StringIO.new("Example data"))

puts(images_response)

Response

{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026